%define ver 0.6
%define name wmappl
%define instdir /usr/X11R6/bin

Name: %{name}
Version: %{ver}
Release: 1
Group: X11/WindowMaker/Applet
Copyright: GPL
Packager: Casey Harkins <charkins@pobox.com>
Vendor: Casey Harkins <charkins@pobox.com>
URL: http://www.pobox.com/~charkins/wmappl.html
Buildroot: /var/tmp/%{name}-%{ver}
Requires: WindowMaker
Summary:  A simple application launcher for the WindowMaker.
Source:    http://www.upl.cs.wisc.edu/~charkins/wmappl/%{name}-%{ver}.tar.gz

%description
WMAppl is a simple application launcher for the Window Maker dock. It displays
up to six application icons at a time and two scroll arrows. The scroll arrows
will scroll the displayed application icons through the list of configured
applications. When an application icon is pressed, the configured command
line is executed.

%prep
%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS make -e

%install
rm -rf $RPM_BUILD_ROOT

install -s -D wmappl %{buildroot}%{instdir}/wmappl
install -d %{buildroot}/usr/share/icons/wmappl
install -m 644 -c icons/*.xpm %{buildroot}/usr/share/icons/wmappl

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README LICENSE CHANGELOG sample.wmapplrc
%attr(755,root,root) %{instdir}/wmappl
/usr/share/icons/wmappl/*.xpm
